import { SortList, IProps } from ".";
declare const _default: {
    title: string;
    component: typeof SortList;
    args: {
        onSave: import("@storybook/addon-actions").HandlerFunction;
        data: {
            isLoading: boolean;
            error: string;
            data: ({
                value: string;
                label: string;
            } | {
                value: string;
                label?: undefined;
            })[];
        };
    };
};
export default _default;
export declare const Default: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, IProps<{
    value: string;
    label?: string | undefined;
}>>;
export declare const Loading: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, IProps<{
    value: string;
    label?: string | undefined;
}>>;
export declare const Error: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, IProps<{
    value: string;
    label?: string | undefined;
}>>;
export declare const Empty: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, IProps<{
    value: string;
    label?: string | undefined;
}>>;
export declare const SingleItem: import("@storybook/csf").AnnotatedStoryFn<import("@storybook/react").ReactFramework, IProps<{
    value: string;
    label?: string | undefined;
}>>;
